<!--
  ~ #%L
  ~ chvote-bo
  ~ %%
  ~ Copyright (C) 2016 - 2019 République et Canton de Genève
  ~ %%
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  ~ #L%
  -->

<div class="main" [class.faded]="_showDetails">
  <ng-content select="slide-details-content"></ng-content>
</div>
<div class="details" [class.faded]="!_showDetails">
  <ng-container *ngIf="_showDetails">
    <a class="details__back" (click)="closeDetails()" aria-label="back">
      <mat-icon>reply</mat-icon>
    </a>
    <div class="details__content">
      <ng-content select="slide-details-details"></ng-content>
    </div>

  </ng-container>
</div>
